const express = require('express')
const app = express()
const port = 3000
const pgp = require('pg-promise')(/* options */)
const db = pgp(process.env.DB_CONNECTION_STRING)


app.get('/api', async (req, res) => {
  let data = await db.one('SELECT $1 AS value', 123)

  res.json({hello: "world", data: data.value})
})

app.listen(port, (res) => {
  
  console.log(`Example app listening on port ${port}`)
})
