# Overview
This is a practical example of a "basic" fullstack application.  This application has been fully containerized to be run locally in development mode as well as for deployment to production.  It is composed of the following services:

- frontend - Basic React app bootstrapped with `yarn create vite`
- backend - Basic Express server NodeJS backend
- database - Postgres database
- reverse_proxy - Traefik ingress controller handling reverse proxy for the frontend and backend applications.

## Getting Started
Clone the repo and `cd` into the `compose` directory.

```shell
cp .env.example .env
```
